<?php
/*
=====================================================
 http://dletweak.ru/
-----------------------------------------------------
 Copyright (c) 2009 DT DEV
=====================================================
     
=====================================================
*/
@error_reporting(E^ALL);
@ini_set('display_errors', false);
@ini_set('html_errors', false);

@session_start();

define('DATALIFEENGINE', true);
define('ROOT_DIR', '../../..');
define('ENGINE_DIR', ROOT_DIR.'/engine');

include ENGINE_DIR.'/data/config.php';
require_once ENGINE_DIR.'/classes/templates.class.php';
require_once ENGINE_DIR.'/classes/parse.class.php';
require_once ENGINE_DIR.'/pr-cy/components/functions.php';
require_once ENGINE_DIR.'/data/seopro.php';
require_once ENGINE_DIR.'/pr-cy/components/seotools.class.php';

$config['charset'] = ($lang['charset'] != '') ? $lang['charset'] : $config['charset'];
@header("Content-type: text/css; charset=".$config['charset']);
$tpl = new dle_template;
$seo = new SEOPRO;
$parse = new ParseFilter();
$parse->safe_mode = true;

if ($config['http_home_url'] == "") {

	$config['http_home_url'] = explode("engine/pr-cy/ajax/masscheck.php", $_SERVER['PHP_SELF']);
	$config['http_home_url'] = reset($config['http_home_url']);
	$config['http_home_url'] = "http://".$_SERVER['HTTP_HOST'].$config['http_home_url'];

}

$_REQUEST['skin'] = explode ("/", $_REQUEST['skin']);
$_REQUEST['skin'] = end ($_REQUEST['skin']);

$tpl->dir = ROOT_DIR.'/templates/'.$config['skin'];
define('TEMPLATE_DIR', $tpl->dir);
$tpl->set('{THEME}', $config['http_home_url'].'templates/'.$config['skin']);

if ($_REQUEST['skin']) {
	if (@is_dir(ROOT_DIR.'/templates/'.$_REQUEST['skin']))
	{
		$config['skin'] = $_REQUEST['skin'];
	}
	else
	{
		die ("Hacking attempt!");
	}
}

$urls = $parse->process(trim($_POST['urls']));

define('GMAG', 0xE6359A60);

function nooverflow($a)
{
while ($a<-2147483648)
$a+=2147483648+2147483648;
while ($a>2147483647)
$a-=2147483648+2147483648;
return $a;
}

function zeroFill ($x, $bits)
{
   if ($bits==0) return $x;
   if ($bits==32) return 0;
   $y = ($x & 0x7FFFFFFF) >> $bits;
   if (0x80000000 & $x) {
       $y |= (1<<(31-$bits));
   }
   return $y;
}

function mix($a,$b,$c) {
$a=(int)$a; $b=(int)$b; $c=(int)$c;
$a -= $b; $a -= $c; $a=nooverflow($a); $a ^= (zeroFill($c,13));
$b -= $c; $b -= $a; $b=nooverflow($b); $b ^= ($a<<8);
$c -= $a; $c -= $b; $c=nooverflow($c); $c ^= (zeroFill($b,13));
$a -= $b; $a -= $c; $a=nooverflow($a); $a ^= (zeroFill($c,12));
$b -= $c; $b -= $a; $b=nooverflow($b); $b ^= ($a<<16);
$c -= $a; $c -= $b; $c=nooverflow($c); $c ^= (zeroFill($b,5));
$a -= $b; $a -= $c; $a=nooverflow($a); $a ^= (zeroFill($c,3));
$b -= $c; $b -= $a; $b=nooverflow($b); $b ^= ($a<<10);
$c -= $a; $c -= $b; $c=nooverflow($c); $c ^= (zeroFill($b,15));
return array($a,$b,$c);
}

function GCH($url, $length=null, $init=GMAG) {
    if(is_null($length))
    {
        $length = sizeof($url);
    }
    $a = $b = 0x9E3779B9;
    $c = $init;
    $k = 0;
    $len = $length;
    while($len >= 12)
    {
        $a += ($url[$k+0] +($url[$k+1]<<8) +($url[$k+2]<<16) +($url[$k+3]<<24));
        $b += ($url[$k+4] +($url[$k+5]<<8) +($url[$k+6]<<16) +($url[$k+7]<<24));
        $c += ($url[$k+8] +($url[$k+9]<<8) +($url[$k+10]<<16)+($url[$k+11]<<24));
        $mix = mix($a,$b,$c);
        $a = $mix[0]; $b = $mix[1]; $c = $mix[2];
        $k += 12;
        $len -= 12;
    }
    $c += $length;
    switch($len)
    {
        case 11: $c+=($url[$k+10]<<24);
        case 10: $c+=($url[$k+9]<<16);
        case 9 : $c+=($url[$k+8]<<8);
        case 8 : $b+=($url[$k+7]<<24);
        case 7 : $b+=($url[$k+6]<<16);
        case 6 : $b+=($url[$k+5]<<8);
        case 5 : $b+=($url[$k+4]);
        case 4 : $a+=($url[$k+3]<<24);
        case 3 : $a+=($url[$k+2]<<16);
        case 2 : $a+=($url[$k+1]<<8);
        case 1 : $a+=($url[$k+0]);
    }
    $mix = mix($a,$b,$c);
    return $mix[2];
}
function strord($string)
{
    for($i=0;$i<strlen($string);$i++)
    {
        $result[$i] = ord($string{$i});
    }
    return $result;
}
function getPageRank($aUrl)
{
    $url = 'info:'.$aUrl;
    $ch = GCH(strord($url));
    $url='info:'.urlencode($aUrl);
    $pr = @file("http://www.google.com/search?client=navclient-auto&ch=6$ch&ie=UTF-8&oe=UTF-8&features=Rank&q=$url");
     $pr_str = @implode("", $pr);
    return substr($pr_str,strrpos($pr_str, ":")+1);
}



$site = trim($urls);

if(preg_match('/%250A/i', $site)) {
	$n = explode("%250A", $site);
}
elseif(preg_match('/\n/i', $site)) {
	$n = explode("\n", $site);
}
else {
	$n[0] = $site;
	};


if( count($n) == 1 AND checkurl(strtolower($n[0])) == -1 ) {
	give_msg("    : site.ru, www.site.ru   ,    .");
	die("");
}

for($j=0;$j<count($n);$j++) {
	$n[$j] = conv_unicode($n[$j],$config['charset']);
    $n[$j] = strtolower($n[$j]);

	if (checkurl($n[$j]) == -1) unset($n[$j]);
	if (strlen($n[$j]) > 40) unset($n[$j]);
	if (strlen($n[$j]) < 4) unset($n[$j]);

if ($seo_cf['sc-blist'] == 1 AND check_blist($n[$j]) == 1) unset($n[$j]);
$n[$j] = str_replace('https://','',$n[$j]);
$n[$j] = str_replace('http://','',$n[$j]);
}



if(count($n) >= $seo_cf['mc-max']) {
	give_msg("    . : ".$seo_cf['mc-max']);
die ("");

}

	$newkey = 0;
    $urls = array();

    foreach ($n as $k => $v) {
      if( $v != "" ) {
      	$urls[$newkey] = $v;
      	$newkey++;
      }
    }




for($j=0;$j<count($urls);$j++) {

	if( check_type( $urls[$j] ) == 1 ) {
 		$good = $urls[$j];
		$urls[$j] = punycode(win2utf($urls[$j]));
		$type = 1;
	} else { $good = $urls[$j]; }

    $uri = trim($urls[$j]);
    if (strlen($urls[$j]) > 4) {

    	if(!preg_match("/^(http:\/\/)/i", $uri)){
 			$uri = "http://".$uri;
		}

		$wpr = $seo->get_pr($uri);
    	$wcy = $seo->get_cy($uri);

    	$tpl->load_template('pr-cy/mass_result.tpl');

    	if( $type != 1 ) $tpl->set('{url}', $uri);
    	else $tpl->set('{url}', $good);
    	if( $wcy != "" ) $tpl->set('{tic}', $wcy);
    	else { $tpl->set('{tic}', '..'); $wcy = 'x'; }
    	if( $wpr != "" ) $tpl->set('{pr}', $wpr);
	   	else { $tpl->set('{pr}', '..'); $wpr = 'x';  }

	   	if( count( $urls ) > 1 ) {
	    	   	$tpl->set( '{hidden-field}',
			"<input type=\"hidden\" name=\"site[$j]\" id=\"site[$j]\" value=\"$good\">
			<input type=\"hidden\" name=\"cy[$j]\" id=\"cy[$j]\" value=\"$wcy\">
			<input type=\"hidden\" name=\"pr[$j]\" id=\"pr[$j]\" value=\"$wpr\">");
	    } else $tpl->set( '{hidden-field}', '');

    	if( $j == count( $urls )-1 AND count( $urls ) > 1 ) {

    		$tpl->set( '[csv-link]', "" );
			$tpl->set( '[/csv-link]', "" );


    	}else {

    		$tpl->set_block( "'\\[csv-link\\](.*?)\\[/csv-link\\]'si", "" );
    	}

    	$tpl->compile('results');

		unset($type);
	}
}

$tpl->clear();
$buffer = $tpl->result['results'];

echo $buffer;
?>