<?php

@error_reporting( E_ALL ^ E_NOTICE );
@ini_set( 'display_errors', true );
@ini_set( 'html_errors', false );
@ini_set( 'error_reporting', E_ALL ^ E_NOTICE );

define( 'DATALIFEENGINE', true );
define( 'ROOT_DIR', $_SERVER['DOCUMENT_ROOT'] );
define( 'ENGINE_DIR', ROOT_DIR.'/engine' );

if( $config['http_home_url'] == "" ) {

	$config['http_home_url'] = explode( "engine/pr-cy/components/csv.php", $_SERVER['PHP_SELF'] );
	$config['http_home_url'] = reset( $config['http_home_url'] );
	$config['http_home_url'] = "http://" . $_SERVER['HTTP_HOST'] . $config['http_home_url'];

}

require ENGINE_DIR . '/data/config.php';
require_once ENGINE_DIR . '/modules/functions.php';
require_once ENGINE_DIR . '/classes/templates.class.php';

check_xss();

$config['charset'] = ($lang['charset'] != '') ? $lang['charset'] : $config['charset'];

$tpl = new dle_template( );
$tpl->allow_php_include = false;
$tpl->dir = ROOT_DIR . '/templates/' . $config['skin'];

include_once ENGINE_DIR . '/classes/parse.class.php';
$parse = new ParseFilter( Array (), Array (), 1, 1 );

$mode = intval( $_POST['mode'] );
$mode = $parse->process( $_POST['mode'] );

if( ($mode != 0 AND $mode != 1) OR !is_numeric( $mode ) ) {

	die("Hacking Attempt");
}

if( $mode == 0 ) {
	$links = $parse->process( $_POST['links'] );
	$titles = $parse->process( $_POST['titles'] );

	$savelinks = $parse->process( $_POST['savelinks'] );
	$savetitles = $parse->process( $_POST['savetitles'] );

	$links = stripslashes($links);

	if($savelinks OR $savetitles) {

         if( $savelinks ) { $txtdata = $links; $filename = 'links'; }
         if( $savetitles ){ $txtdata = $titles; $filename = 'titles'; }
         $date = time();
	     header("Content-type: text/plain, charset=windows-1251");
		 header("Content-Disposition: attachment; filename=\"{$filename}_by_".$_SERVER['HTTP_HOST']."_".$date.".txt\"");
		 header('Cache-Control: must-revalidate, post-check=0, pre-check=0');
         header('Pragma: public');

         echo $txtdata;

	}
	else  @header("Location: ".$config["http_home_url"]);
}
elseif( $mode == 1 ) {

	$robotscode= $parse->process( $_POST['robotscode'] );
    header("Content-type: text/plain, charset=windows-1251");
	header("Content-Disposition: attachment; filename=\"robots.txt\"");
	header('Cache-Control: must-revalidate, post-check=0, pre-check=0');
	header('Pragma: public');
	echo $robotscode;


}
else @header("Location: ".$config["http_home_url"]);
?>