<?php
/*
=====================================================
 http://dletweak.ru/
-----------------------------------------------------
 Copyright (c) 2009 DT DEV
=====================================================
     
=====================================================
*/
@error_reporting(E^ALL);
@ini_set('display_errors', false);
@ini_set('html_errors', false);

@session_start();

define('DATALIFEENGINE', true);
define('ROOT_DIR', '../../..');
define('ENGINE_DIR', ROOT_DIR.'/engine');

include ENGINE_DIR.'/data/config.php';
require_once ENGINE_DIR.'/classes/templates.class.php';
require_once ENGINE_DIR.'/pr-cy/components/functions.php';
require_once ENGINE_DIR . '/classes/mysql.php';
require_once ENGINE_DIR . '/data/dbconfig.php';
require_once ENGINE_DIR .'/classes/parse.class.php';

$parse = new ParseFilter( );
$tpl = new dle_template;
$dns = new db;

if ($config['http_home_url'] == "") {

	$config['http_home_url'] = explode("engine/pr-cy/ajax/counter.php", $_SERVER['PHP_SELF']);
	$config['http_home_url'] = reset($config['http_home_url']);
	$config['http_home_url'] = "http://".$_SERVER['HTTP_HOST'].$config['http_home_url'];

}

$_REQUEST['skin'] = explode ("/", $_REQUEST['skin']);
$_REQUEST['skin'] = end ($_REQUEST['skin']);

$tpl->dir = ROOT_DIR.'/templates/'.$config['skin'];
define('TEMPLATE_DIR', $tpl->dir);
$tpl->set('{THEME}', $config['http_home_url'].'templates/'.$config['skin']);

if ($_REQUEST['skin']) {
	if (@is_dir(ROOT_DIR.'/templates/'.$_REQUEST['skin']))
	{
		$config['skin'] = $_REQUEST['skin'];
	}
	else
	{
		die ("Hacking attempt!");
	}
}

$parse->safe_mode = true;

$url = htmlentities(htmlspecialchars($url));
$url = $parse->process( trim($_POST['url']));
$crawl = $parse->process( trim($_POST['crawl']));
$main_host = $parse->process( trim($_POST['main_host']));
$sitemap = $parse->process( trim($_POST['sitemap']));
$uri = htmlentities(htmlspecialchars($_REQUEST['uri']));
$uri = $parse->process( trim($_REQUEST['uri']));
if($uri)
{
if (GooglePRhashURL($uri) == 1)
getprbase();
else die("Hacking Attempt!");

}
$url = trim($_POST['url']);
$url = conv_unicode($url,$config['charset']);
$url = str_replace('https','http',$url);
$url = preg_replace("/www./i", "", $url);
$url = str_replace("www.","",$url);

if (strlen($url) > 40) {
give_msg("   !");
die ("");
}

if(!$url) {
give_msg("  !");
die ("");
}

if (checkurl($url) == -1)
{
give_msg("    : site.ru, www.site.ru   ,    .");
die ("");
}


if( check_type( $url ) == 1 ) {
    $main_host = conv_unicode($main_host, $config['charset']);
	$url = conv_unicode($url, $config['charset']);
	$sitemap = conv_unicode($sitemap, $config['charset']);

}


$zurl = preg_replace("/^(http:\/\/)/i", "", $url);
$wurl = preg_replace("/^(http:\/\/)/i", "www.", $url);
$zurl = preg_replace("/\/(.*)$/i", "", $zurl);
$wurl = preg_replace("/\/(.*)$/", "", $wurl);

if ($crawl !="" AND !is_numeric($crawl))
{
give_msg("Crawl-delay      .");
die ("");
}

$zurl = preg_replace("/^(http:\/\/)/i", "", $url);
$zurl = preg_replace("/\/(.*)$/i", "", $zurl);

if ($seo_cf['fr-blist'] == 1 AND check_blist($zurl) == 1)
  {
    give_msg("     ,     .");
    die ("");
  }

if((substr($main_host, 0, 7)) != "http://") $main_host = 'http://'.$main_host;

$main_host = str_replace("http://", "", $main_host);

$disallow = $parse->process( trim($_POST['disallow']));
$directories = $parse->process( trim($_POST['directories']));
$files = $parse->process( trim($_POST['files']));
$imgdisallow = $parse->process( trim($_POST['imgdisallow']));
$img_dirs = $parse->process( trim($_POST['img_dirs']));
$offdisallow = $parse->process( trim($_POST['offdisallow']));
$yaca = $parse->process( trim($_POST['yaca']));


$seo_cf['fr-head'] = str_replace("{%site%}", $url, $seo_cf['fr-head']);
$seo_cf['fr-head'] = str_replace("{%self%}", $config['http_home_url'], $seo_cf['fr-head']);

$header = $seo_cf['fr-head'];

$main = "
\r\n#main section
User-agent:*\r\n";

if($disallow) $main .= "Disallow: /\r\n";

if($directories != "" AND !$disallow)
  {
	$directories = str_replace(" ", "", $directories);
	$dirs = explode(",", $directories);

	for($i=0;$i<count($dirs);$i++)
	{
	$main .= "Disallow: /".$dirs[$i]."/\r\n";
	}
  }
if($files != "" AND !$disallow)
  {
	$files = str_replace(" ", "", $files);
	$dirs = explode(",", $files);

	for($i=0;$i<count($dirs);$i++)
	{
	$main .= "Disallow: /".$dirs[$i]."\r\n";
	}
  }

if($crawl != "" AND $crawl > 0) $main .= "Crawl-delay: ". $crawl."\r\n";

$main .= "# End of main section\r\n";

if($imgdisallow)
  {
    $imgs = "
    \r\n# Images section \r\n
	User-agent: Yandex/1.01.001 (compatible; Win16; P)\r\n
	Disallow: /\r\n
	User-agent: Googlebot-Image\r\n
	Disallow: /\r\n
	User-agent: yahoo-mmcrawler \r\n
	Disallow: / \r\n
	User-agent: psbot\r\n
	Disallow: /\r\n
	# End of images section\r\n";
  }
  else $imgs = "";

if($img_dirs !="" AND !$imgdisallow)
  {
  	$img_dirs = str_replace(" ", "", $img_dirs);
    $items = explode(",", $img_dirs);

    for($i=0; $i<count($items);$i++)
    {
    	$dis .= "Disallow: /".$items[$i]."/\r\n";
    }

    $imgp = "
    \r\n# Images section \r\n
	User-agent: Yandex/1.01.001 (compatible; Win16; P)\r\n
	{$dis}
	User-agent: Googlebot-Image\r\n
	{$dis}
	User-agent: yahoo-mmcrawler \r\n
	{$dis}
	User-agent: psbot\r\n
	{$dis}
	# End of images section\r\n";
  }

if($offdisallow)
  {
    include_once(ENGINE_DIR.'/pr-cy/components/down_bots.php');
    global $down_robots;

    $downs = "\r\n# disallow for main site downloaders section\r\n";
    for($i=0;$i<count($down_robots);$i++)
    {
    $downs .= "User-agent: ".$down_robots[$i]."\r\nDisallow: /\r\n";
    }

    $downs .= "# end of downloaders section\r\n";
  }
else $downs="";

if($yaca AND $main_host != "")
  {
  $host = "Host: ".$main_host."\r\n";
  }

if($sitemap)
  {
  $map = "
  	\r\n# yandex section \r\n
  	User-agent: Yandex\r\n
	Allow: /\r\n
	Sitemap: {$sitemap}\r\n
	# end of yandex section \r\n
	";
  }


$tpl->load_template('pr-cy/robotsgen_res.tpl');
$tpl->set('{robotscode}', $header.$main.$host.$map.$imgs.$imgp.$downs);
$tpl->compile('result');
$tpl->clear();
$buffer = $tpl->result['result'];

@header("Content-type: text/css; charset=".$config['charset']);
echo $buffer;
?>