<?php
/*
=====================================================
 http://dletweak.ru/
-----------------------------------------------------
 Copyright (c) 2009 DT DEV
=====================================================
     
=====================================================
*/

@error_reporting(0);
@ini_set('display_errors', false);
@ini_set('html_errors', false);

@session_start();

define('DATALIFEENGINE', true);
define('ROOT_DIR', '../../..');
define('ENGINE_DIR', ROOT_DIR.'/engine');

include ENGINE_DIR.'/data/config.php';
require_once ENGINE_DIR.'/classes/templates.class.php';
require_once ENGINE_DIR.'/classes/parse.class.php';
require_once ENGINE_DIR.'/pr-cy/components/speed.class.php';
require_once ENGINE_DIR.'/pr-cy/components/functions.php';
require_once ENGINE_DIR.'/data/seopro.php';
require_once ENGINE_DIR.'/pr-cy/components/seotools.class.php';


@header("Content-type: text/css; charset=".$config['charset']);
$tpl = new dle_template;
$timer = new timer();
$parse = new ParseFilter();
$seo = new SEOPRO;

$parse->safe_mode = true;

if ($config['http_home_url'] == "") {

	$config['http_home_url'] = explode("engine/pr-cy/ajax/speedtest.php", $_SERVER['PHP_SELF']);
	$config['http_home_url'] = reset($config['http_home_url']);
	$config['http_home_url'] = "http://".$_SERVER['HTTP_HOST'].$config['http_home_url'];

}

$_REQUEST['skin'] = explode ("/", $_REQUEST['skin']);
$_REQUEST['skin'] = end ($_REQUEST['skin']);

$tpl->dir = ROOT_DIR.'/templates/'.$config['skin'];
define('TEMPLATE_DIR', $tpl->dir);
$tpl->set('{THEME}', $config['http_home_url'].'templates/'.$config['skin']);

if ($_REQUEST['skin']) {
	if (@is_dir(ROOT_DIR.'/templates/'.$_REQUEST['skin']))
	{
		$config['skin'] = $_REQUEST['skin'];
	}
	else
	{
		die ("Hacking attempt!");
	}
}

$site = $parse->process(trim($_POST['urls']));

if(preg_match('/%250A/i', $site)) {
	$n = explode("%250A", $site);
}
elseif(preg_match('/\n/i', $site)) {
	$n = explode("\n", $site);
}
else {
	$n[0] = $site;
	}


if( count($n) == 1 AND checkurl($n[0]) == -1 ) {
	give_msg("    : site.ru, www.site.ru   ,    .");
	die("");
}

if( count($n) == 1 AND checkurl(strtolower($n[0])) == -1 ) {
	give_msg("    : site.ru, www.site.ru   ,    .");
	die("");
}

for($j=0;$j<count($n);$j++) {
	$n[$j] = conv_unicode($n[$j],$config['charset']);
    $n[$j] = strtolower($n[$j]);

	if (checkurl($n[$j]) == -1) unset($n[$j]);
	if (strlen($n[$j]) > 40) unset($n[$j]);
	if (strlen($n[$j]) < 4) unset($n[$j]);

if ($seo_cf['sc-blist'] == 1 AND check_blist($n[$j]) == 1) unset($n[$j]);
$n[$j] = str_replace('https://','',$n[$j]);
$n[$j] = str_replace('http://','',$n[$j]);
}


function kbps($size, $time) {
if($size != 0) $kbps = round($size/$time, 2);
else $kbps = 1;
return $kbps;

}

	$newkey = 0;
    $urls = array();

    foreach ($n as $k => $v) {
      if( $v != "" ) {
      	$urls[$newkey] = $v;
      	$newkey++;
      }
    }


for($j=0;$j<count($urls);$j++) {

	if( check_type( $urls[$j] ) == 1 ) {

 		$good = $urls[$j];
		$urls[$j] = punycode(win2utf($urls[$j]));
		$type = 1;

	} else { $good = $urls[$j]; }


    $uri = trim($urls[$j]);
    $uri = str_replace("www.", "", $uri);

    if(!preg_match("/^(http:\/\/)/i", $uri)){
 	$uri = "http://".$uri;
	}

	//  , , !
	$timer->start_timer();

	$fp = @fopen($uri, "r");
	@fclose($fp);
	$firstTime = $timer->end_timer();
	$firstTime = round($firstTime, 2);
	$kbps = kbps($seo->get_web_size($uri), $firstTime);

	switch($firstTime) {

		case($firstTime >= $seo_cf['def-slow']):
		$color = $seo_cf['color-slow'];
		$jd = "";
		break;

		case($firstTime < $seo_cf['def-norm1'] AND $firstTime > $seo_cf['def-norm2']):
		$color = $seo_cf['color-norm'];
		$jd = "";
		break;

    	case($firstTime < $seo_cf['def-fast']):
		$color = $seo_cf['color-fast'];
		$jd = "";
		break;
   	}

	$tpl->load_template('pr-cy/speed_result.tpl');
	$tpl->set('{url}', $good);

	if ($firstTime != 0) {

		$tpl->set('{color}', $color);
		$tpl->set('{size}', $seo->get_web_size($uri));
		$tpl->set('{mnenie}', $jd);
		$tpl->set('{time}', $firstTime);
		$tpl->set('{kbps}', kbps($seo->get_web_size($uri), $firstTime));

	} else {

		$tpl->set('{color}', "#FFDFDF");
		$tpl->set('{size}', $seo->get_web_size($uri));
		$tpl->set('{mnenie}', "");
		$tpl->set('{time}', $firstTime);
		$tpl->set('{kbps}', kbps($seo->get_web_size($uri), $firstTime));
	}
	$tpl->compile('results');
}

$tpl->clear();

$buffer = $tpl->result['results'];
echo $buffer;

?>